<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" />

<xsl:template match="/">
	<xsl:apply-templates select="//events_in_context" />
</xsl:template>

<xsl:template match="events_in_context">
	<html><head>
	<link rel="stylesheet" href="../css/modelscope.css" type="text/css" />
	</head><body><center>

	<form name="eventsForm" target="eventAttributes" method="GET">

	<input type="hidden" name="fnc" value="5" />
	<input type="hidden" name="sub">
	<xsl:attribute name="value"><xsl:value-of select="subset/name"/></xsl:attribute>
	</input>
	<input type="hidden" name="beh">
	<xsl:attribute name="value"><xsl:value-of select="behaviour/name"/></xsl:attribute>
	</input>
	<input type="hidden" name="obj">
	<xsl:attribute name="value"><xsl:value-of select="instance/id"/></xsl:attribute>
	</input>

	<table>
	<tr><td align="center"><p class="panelHeading">Events</p></td></tr>
	<tr><td>
	<xsl:apply-templates select="//events" />
	</td></tr>
	</table>

	</form></center></body>
</html>
</xsl:template>

<xsl:template match="events[@size &gt;= 1]">
	<select name="evt" size="3" onchange="this.form.submit();" style="width:125px">
		<xsl:for-each select="trigger">
			<xsl:sort select="./event/name" />
			<xsl:sort select="./subscript/name" />
		<option>
				<xsl:choose>
					<xsl:when test="./@isAllowed = 'true' and ./@isDesired='false'">
						<xsl:attribute name="class">allowedButNotDesired</xsl:attribute>	
					</xsl:when>
					<xsl:when test="./@isAllowed = 'false' and ./@isDesired='false'">
						<xsl:attribute name="class">notAllowed</xsl:attribute>	
					</xsl:when>
					<xsl:when test="./@isAllowed = 'true' and ./@isDesired='true'">
						<xsl:attribute name="class">desired</xsl:attribute>	
					</xsl:when>
					<xsl:when test="./@isAllowed = 'false' and ./@isDesired='true'">
						<xsl:attribute name="class">desiredButNotAllowed</xsl:attribute>	
					</xsl:when>
				</xsl:choose>
				<xsl:attribute name="value"><xsl:value-of select="event/name"/>:<xsl:value-of select="subscript/name"/></xsl:attribute>
				<xsl:value-of select="event/name" />
				<xsl:if test="./@requiresSubscript = 'true'"> [<xsl:value-of select="subscript/name"/>]</xsl:if>
			</option>
		</xsl:for-each>
	</select>
</xsl:template>

<!-- if the list of events is empty, say so but disable the control -->
<xsl:template match="events_in_context/events[@size = 0]">
	<select name="evt" size="3" disabled="y" style="width:125px">
	<option>No events</option>
	</select>
</xsl:template>

</xsl:stylesheet>	
