<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" />

<xsl:template match="/">
	<xsl:apply-templates select="//instances_of_behaviour" />
</xsl:template>

<xsl:template match="instances_of_behaviour">
<html>
	<head>
	<link rel="stylesheet" href="../css/modelscope.css" type="text/css" />
	<script language="JavaScript">
	function getInstance(sel) {
		window.top.getInstanceAttributes(sel, document.forms.getInstanceAttributes);
	}
	function tryToReselect() {
		var obj = window.top.obj;
		var sel = document.instanceSelector.obj;
		var i;
		for (i = 0; i &lt; sel.options.length; i++)
			if (sel.options[i].value == obj) {
				sel.selectedIndex = i;
				getInstance(sel);
				return;
				}
	}
	</script>
	</head><body onLoad="tryToReselect();">
	<form name="getInstanceAttributes" target="instanceAttributes" method="GET">
	<input type="hidden" name="fnc" value="3" />
	<input type="hidden" name="sub" />
	<input type="hidden" name="beh" />
	<input type="hidden" name="obj" />
	</form>
	<center>
	<table>
	<tr><td align="center"><p class="panelHeading">Instances</p></td></tr>
	<tr><td>
	<xsl:apply-templates select="instances"/>
	</td></tr>
	</table>
	</center></body></html>
</xsl:template>

<xsl:template match="instances[@size != 0]">
	<form name="instanceSelector">
	<select name="obj" size="5" onchange="getInstance(this);" style="width:150px">
	
	<!-- list all the seeds first, in order of behaviour type name -->
	<xsl:for-each select="instance[id &lt; 0]">
		<xsl:sort select="./name" />
		<option>
			<xsl:attribute name="value"><xsl:value-of select="id"/></xsl:attribute>
			(new <xsl:value-of select="name" />)
		</option>
	</xsl:for-each>
	
	<!-- now list the proper instances, in order of name -->
	<xsl:for-each select="instance[id &gt;= 0]">
		<xsl:sort select="./name" />
		<xsl:sort select="./id" />
		<option>
			<xsl:attribute name="value"><xsl:value-of select="id"/></xsl:attribute>
			<xsl:value-of select="name" />
		</option>
	</xsl:for-each>

	</select>
	</form>
</xsl:template>

<!-- if the list of instances is empty, say so but disable the control -->
<xsl:template match="instances[@size = 0]">
	<select name="obj" size="5" disabled="y" style="width:150px">
	<option>No instances</option>
	</select>
</xsl:template>

</xsl:stylesheet>	
