<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" />

<xsl:template match="/">
<html>
	<head>
	<link rel="stylesheet" href="../css/modelscope.css" type="text/css" />
	<script language="JavaScript">
	function reportIndicativeErrors() {
		alert("Post-state checking errors found");
		window.top.resetAfterEvent();
	}
	function reportOptativeErrors() {
		var accept = confirm("Post-state checking error(s) found\nChoose OK (to accept) or Cancel");
		window.top.submitForm(accept ? (document.forms.commitForm) : (document.forms.rollbackForm));
	}
	function reportErrors() {
	<xsl:choose>
		<xsl:when test="//poststate_errors/@error_type = 'indicative'"> reportIndicativeErrors(); </xsl:when> 	
		<xsl:otherwise> reportOptativeErrors(); </xsl:otherwise>
	</xsl:choose>
	}
	</script>
	</head>
	<body onLoad="reportErrors();">
	<h1 class="reportHeading">Post-state Error Checking</h1>
	<ul>
	<xsl:apply-templates select="//poststate_error" />
	</ul>
	<form name="commitForm" method="GET">
	<input type="hidden" name="fnc" value="8" />
	<input type="hidden" name="sub" />
	<input type="hidden" name="beh" />
	<input type="hidden" name="obj" />
	</form>
	<form name="rollbackForm" method="GET">
	<input type="hidden" name="fnc" value="9" />
	<input type="hidden" name="sub" />
	<input type="hidden" name="beh" />
	<input type="hidden" name="obj" />
	</form>
	</body>
</html>
</xsl:template>

<xsl:template match="poststate_error">
	<li class="reportText">
		Event '<xsl:value-of select="event/name" />'
		<span>
		<xsl:choose> <!-- colour the error type text red, green or black as appropriate -->
			<xsl:when test="./@error_type = 'not allowed'"><xsl:attribute name="class">textNotAllowed</xsl:attribute></xsl:when> 	
			<xsl:when test="./@error_type = 'not desired'"><xsl:attribute name="class">textNotDesired</xsl:attribute></xsl:when> 	
			<xsl:when test="./@error_type = 'not possible'"><xsl:attribute name="class">textNotPossible</xsl:attribute></xsl:when> 	
		</xsl:choose>
		<xsl:value-of select="./@error_type" /></span>:
		bad post-state '<xsl:value-of select="state/name" />'
		in '<xsl:value-of select="object_type/name" />'
		<xsl:value-of select="instance/name" />
	</li>
</xsl:template>

</xsl:stylesheet>	
